Subject: Re: bug#76313: New function `replace-region`

From: Eli Zaretskii <[email-masked]>
Date: Mon, 31 Mar 2025 16:10:29 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,   [email-masked],
>    [email-masked],   [email-masked]
> Date: Mon, 31 Mar 2025 08:21:56 +0200
> 
> Stefan Monnier <[email-masked]> writes:
> 
> > But I've changed my mind: I don't think we should unify
> > `replace-region-contents` and my proposed `replace-region`.
> >
> > [...]
> >
> > While that was partly true, some of the problems were a lot more
> > delicate: while `replace-region` is "easy" to use to do what I would
> > describe as "edits", `replace-region-contents` is a good bit more
> > delicate because its effect on point is less predictable.
> 
> I think that's a very good point.  Stefan's `replace-region` can be use
> to replace text with some arbitrary other text with predictable
> positioning of point.

And the same cannot be done by calling replace-region-contents with
MAX-SECS of zero?  If not, why not?